> ## Documentation Index
> Fetch the complete documentation index at: https://whitebit-mintlify-ws-modify-order-1774626156.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Funding History

> The endpoint returns the funding rate history for a specified futures market.

<Warning>
Rate limit 2000 requests/10 sec.
</Warning>




## OpenAPI

````yaml /openapi/public/http-v4.yaml GET /api/v4/public/funding-history/{market}
openapi: 3.0.3
info:
  title: Public HTTP API V4
  description: >
    WhiteBIT Public HTTP API V4 for market data and trading information.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.

    All endpoints return either a JSON object or array.

    Use HTTP method GET for API calls.

    Send parameters as query string when an endpoint requires them.


    <Warning>

    Rate limit: 2000 requests/10 sec for most endpoints (specific limits noted
    per endpoint).

    </Warning>
  version: 4.0.0
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Public API V4
    description: Public endpoints for market data, trading information, and platform status
paths:
  /api/v4/public/funding-history/{market}:
    get:
      tags:
        - Public API V4
      summary: Funding History
      description: >
        The endpoint returns the funding rate history for a specified futures
        market.


        <Warning>

        Rate limit 2000 requests/10 sec.

        </Warning>
      parameters:
        - name: market
          in: path
          required: true
          description: Market name (e.g., BTC_PERP)
          schema:
            type: string
            example: BTC_PERP
        - name: startDate
          in: query
          required: false
          description: Start timestamp in seconds
          schema:
            type: integer
            example: 1752480000
        - name: endDate
          in: query
          required: false
          description: End timestamp in seconds
          schema:
            type: integer
            example: 1752537600
        - name: limit
          in: query
          required: false
          description: 'Number of records to return. Default: 100, Maximum: 1000'
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 100
            example: 100
        - name: offset
          in: query
          required: false
          description: Number of records to skip
          schema:
            type: integer
            minimum: 0
            default: 0
            example: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - fundingTime
                    - fundingRate
                    - market
                    - settlementPrice
                    - rateCalculatedTime
                  properties:
                    fundingTime:
                      type: string
                      description: Timestamp when the funding executed
                      example: '1752537600'
                    fundingRate:
                      type: string
                      description: Funding rate value
                      example: '-0.0001229'
                    market:
                      type: string
                      description: Market name
                      example: BTC_PERP
                    settlementPrice:
                      type: string
                      description: Price at which the funding settled
                      example: '119816.5'
                    rateCalculatedTime:
                      type: string
                      description: Timestamp of the funding rate calculation
                      example: '1752508800'

````